<?php

namespace App\Models\Platform;

use Illuminate\Database\Eloquent\Model;

class MonthCard extends Model
{
    protected $table = 'QPPlatformDB.dbo.MonthCard';

    protected $primaryKey = 'CardID';

    public $timestamps = false;

    public function getGearAttribute()
    {
        return json_decode($this->attributes['gear'], true) ?: [];
    }
}
